Skip to content
RobotlegsJS framework integration with EventEmitter3
TypeScript JavaScript
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.github
.vscode
src
test
.auditignore
.editorconfig
.gitignore
.istanbul.yml
.prettierrc
.publishrc
.travis.yml
CHANGELOG.md
LICENSE
README.md
karma.conf.js
package.json
tsconfig.json
tsconfig.test.json
tslint.json
tslint.test.json
webpack.config.js
yarn.lock

README.md

RobotlegsJS EventEmitter3

GitHub license Gitter chat Build Status codebeat badge Maintainability Test Coverage npm version Greenkeeper badge styled with prettier

Installation

You can get the latest release and the type definitions using NPM:

npm install @robotlegsjs/eventemitter3 --save

Or using Yarn:

yarn add @robotlegsjs/eventemitter3

The EventEmitter3 dependency is added as peerDependencies, allowing the final user to choose the desired version of the eventemitter3 library on each project.

The @robotlegsjs/eventemitter3 package is compatible with any version of eventemitter3 library.

As example, when you would like to use the version 3.1.0 of eventemitter3 library, you can run:

npm install eventemitter3@3.1.0 reflect-metadata --save

or

yarn add eventemitter3@3.1.0 reflect-metadata

Then follow the installation instructions of RobotlegsJS library to complete the setup of your project.

Dependencies

Peer Dependencies

License

MIT

You can’t perform that action at this time.